{
  imports = [
    # Base configs
    ./modules/base.nix
    ./users/jimbo.nix

    # Import more users
    ./users/nextcloud.nix
    ./users/nginx.nix

    # Modules
    ./modules/security.nix

    # Hardware
    ./hardware/machines/server.nix

    # Services
    ./services/openssh.nix
    ./server/acme.nix
    ./server/ddclient.nix
    ./server/docker.nix
    ./server/element.nix
    ./server/firewall.nix
    ./server/gitea.nix
    ./server/lemmy.nix
    ./server/mailserver.nix
    ./server/mariadb.nix
    ./server/mastodon.nix
    ./server/misc.nix
    ./server/nextcloud.nix
    ./server/nfs.nix
    ./server/nginx.nix
    ./server/owncast.nix
    ./server/pufferpanel.nix
    ./server/server-misc.nix
    ./server/synapse.nix
    ./server/tandoor.nix
    ./server/vaultwarden.nix
  ];

  services.openssh.ports = [ 2222 ];
  networking.hostName = "JimNixServer";
}
